package com.hertz.modules.ai.service;

import reactor.core.publisher.Flux;

public interface AiService {
    String chat(String message, Double temperature, Long knowledgeBaseId, Long conversationId, Long userId);
    Flux<String> streamChat(String message, Double temperature, Long knowledgeBaseId, Long conversationId, Long userId);
}
